Subject: Re: Difference between device statistics from ifconfig and ip -s l l

From: Milan Kocian <[email-masked]>
Date: Wed, 17 Oct 2007 13:29:20 +0200

On Wed, Oct 17, 2007 at 12:35:43PM +0200, Patrick McHardy wrote:
> Milan Kocian wrote:
>> On Wed, Oct 17, 2007 at 11:36:30AM +0200, Patrick McHardy wrote:
>>
>>> ifconfig gets its data from /proc/net/dev, which adds up rx_errors
>>> and rx_missed.
>>>
>> Adds up rx_errors and rx_missed and prints it as dropped ? Ok, ifconfig is
>> a little old. But why I don't see missed packets from RX errors detailed 
>> stats (ip -s -s l l) in non-detailed stats as errors and see zero ?
>
>
> I meant to write "adds up rx_dropped and rx_missed".

ok.

One probably stupid question: Why is not done similar sum in output of 'ip -s l l' ?

Imagine me :), I do 'ifconfig' and see dropped packets and then I do 'ip -s l l'
and see zeros. I stare on it like an idiot. Where is bug ? ifconfig ? ip ?
(man page of ip and 'ip -s -s l l' with missed packets stats saved me :).

IMHO I think that comparable outputs of both programs should be still the same.

thanks for reply.

regards,

-- 
Milan Kocian